org.jboss.resteasy.skeleton.key.config

## Class ManagedResourceConfigLoader

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.config.ManagedResourceConfigLoader

- Direct Known Subclasses:
    CatalinaManagedResourceConfigLoader

      public class ManagedResourceConfigLoader
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ManagedResourceConfig` | `remoteSkeletonKeyConfig`
    `protected ResourceMetadata` | `resourceMetadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagedResourceConfigLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedResourceConfig` | `getRemoteSkeletonKeyConfig()`
    `ResourceMetadata` | `getResourceMetadata()`
    `protected void` | `init(InputStream is)`
    `static KeyStore` | `loadKeyStore(String filename, String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### remoteSkeletonKeyConfig

          protected ManagedResourceConfig remoteSkeletonKeyConfig

    - #### resourceMetadata

          protected ResourceMetadata resourceMetadata

  - ### Constructor Detail

    - #### ManagedResourceConfigLoader

          public ManagedResourceConfigLoader()

  - ### Method Detail

    - #### loadKeyStore

          public static KeyStore loadKeyStore(String filename,
                              String password)
                                       throws Exception

      Throws:
        `Exception`

    - #### init

          protected void init(InputStream is)

    - #### getRemoteSkeletonKeyConfig

          public ManagedResourceConfig getRemoteSkeletonKeyConfig()

    - #### getResourceMetadata

          public ResourceMetadata getResourceMetadata()

Copyright © 2014. All Rights Reserved.